From 21d2e24c1a3793fe0409a15d7a0f2f6081612aaf Mon Sep 17 00:00:00 2001
From: James Beacham <j.beacham@cern.ch>
Date: Wed, 20 Jun 2018 18:10:39 +0000
Subject: [PATCH] Merge branch '21.0-directIO-art-adding-recotf-with-raw' into
 '21.0'

Adding Reco_tf.py tests with RAW input

See merge request atlas/athena!12066

(cherry picked from commit e4db2f5ed02ca36e6d02483610d59c2ae47fbfc9 [formerly 18169e2be1c9cdc5b481877b36be1963c96d8f76])

0f5edfa2 Adding Reco_tf.py test for 21.0/Athena(MP) running on RAW input files

Former-commit-id: 4c75183e9fc23f0e3c8dd3644a15bb0d88d0fab4
---
 Event/EventContainers/test/ID_ContainerTest.h       |  0
 .../test_directioart_athena_recotf_with_raw_davs.sh | 12 ++++++++++++
 ...test_directioart_athena_recotf_with_raw_https.sh | 12 ++++++++++++
 .../test_directioart_athena_recotf_with_raw_root.sh | 12 ++++++++++++
 ...est_directioart_athenamp_recotf_with_raw_davs.sh | 13 +++++++++++++
 ...st_directioart_athenamp_recotf_with_raw_https.sh | 13 +++++++++++++
 ...est_directioart_athenamp_recotf_with_raw_root.sh | 13 +++++++++++++
 7 files changed, 75 insertions(+)
 mode change 100644 => 100755 Event/EventContainers/test/ID_ContainerTest.h
 create mode 100755 Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_davs.sh
 create mode 100755 Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_https.sh
 create mode 100755 Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_root.sh
 create mode 100755 Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_davs.sh
 create mode 100755 Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_https.sh
 create mode 100755 Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_root.sh

diff --git a/Event/EventContainers/test/ID_ContainerTest.h b/Event/EventContainers/test/ID_ContainerTest.h
old mode 100644
new mode 100755
diff --git a/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_davs.sh b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_davs.sh
new file mode 100755
index 00000000000..3a79ded1424
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_davs.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART Athena Reco_tf.py inputFile:RAW protocol=DAVS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+Reco_tf.py --AMI q431 --inputBSFile davs://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_Athena_RecoTF_inputBS_protocol_DAVS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_https.sh b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_https.sh
new file mode 100755
index 00000000000..481c61f7f69
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_https.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART Athena Reco_tf.py inputFile:RAW protocol=HTTPS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+Reco_tf.py --AMI q431 --inputBSFile https://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_Athena_RecoTF_inputBS_protocol_HTTPS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_root.sh b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_root.sh
new file mode 100755
index 00000000000..d6954723968
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athena_recotf_with_raw_root.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# art-description: DirectIOART Athena Reco_tf.py inputFile:RAW protocol=ROOT
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+Reco_tf.py --AMI q431 --inputBSFile root://lcg-lrz-rootd.grid.lrz.de:1094/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_Athena_RecoTF_inputBS_protocol_ROOT"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_davs.sh b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_davs.sh
new file mode 100755
index 00000000000..6e0e7d82728
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_davs.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthenaMP Reco_tf.py inputFile:RAW protocol=DAVS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+export ATHENA_PROC_NUMBER=2
+Reco_tf.py --AMI q431 --inputBSFile davs://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_AthenaMP_RecoTF_inputBS_protocol_DAVS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_https.sh b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_https.sh
new file mode 100755
index 00000000000..ae565d9212c
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_https.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthenaMP Reco_tf.py inputFile:RAW protocol=HTTPS
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+export ATHENA_PROC_NUMBER=2
+Reco_tf.py --AMI q431 --inputBSFile https://lcg-lrz-http.grid.lrz.de:443/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_AthenaMP_RecoTF_inputBS_protocol_HTTPS"
\ No newline at end of file
diff --git a/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_root.sh b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_root.sh
new file mode 100755
index 00000000000..d978d2b0270
--- /dev/null
+++ b/Tools/DirectIOART/test/test_directioart_athenamp_recotf_with_raw_root.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# art-description: DirectIOART AthenaMP Reco_tf.py inputFile:RAW protocol=ROOT
+# art-type: grid
+# art-output: *.pool.root
+# art-include: 21.0/Athena
+
+set -e
+
+export ATHENA_PROC_NUMBER=2
+Reco_tf.py --AMI q431 --inputBSFile root://lcg-lrz-rootd.grid.lrz.de:1094/pnfs/lrz-muenchen.de/data/atlas/dq2/atlasdatadisk/rucio/data15_13TeV/71/42/data15_13TeV.00284285.physics_Main.daq.RAW._lb0856._SFO-1._0003.data --outputESDFile art.pool.root
+
+echo "art-result: $? DirectIOART_AthenaMP_RecoTF_inputBS_protocol_ROOT"
\ No newline at end of file
-- 
GitLab